"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.highlightPluginKey = exports.createPlugin = void 0;
var _safePlugin = require("@atlaskit/editor-common/safe-plugin");
var _state = require("@atlaskit/editor-prosemirror/state");
var highlightPluginKey = exports.highlightPluginKey = new _state.PluginKey('highlight');
var createPlugin = exports.createPlugin = function createPlugin(_ref) {
  var api = _ref.api;
  return new _safePlugin.SafePlugin({
    key: highlightPluginKey
  });
};